View Issue Details

IDProjectCategoryLast Update
0021273AI War 2[All Projects] GUIJul 8, 2019 3:28 pm
ReporterMatthewYCRAssigned Tox4000Bughunter 
Severityfeature 
Status closedResolutionsuspended 
Product VersionBETA 0.865 The Return Of Deepstriking 
Fixed in Version 
Summary0021273: UI Fleets Example + Required Features
DescriptionNote: The Image Attached

I just wanted to make sure I'm able to do everything I needed to do with Fleets, as Mark 1 ships are the bane of my existence atm. I made this quickly when I realised exactly what I needed. How to use, and the reasons why, are listed below. I don't expect to see exactly this, but just take this into consideration.

Display - (In order) - Unit, Max Units, Metal Cost, Energy Cost
                                    Repeat?, Buy amount (0-max units)

Possible Additions wanted - Unit Strength (single number), Mark level

When Repeat Symbol is on - Units are created until units reach the desired amount listed to the right, while this setting is on. 0 is replaced with infinity, which makes as many as
                                                   possible

When Repeat Symbol is off - Creates units as long as the number listed to the right is greater than 0, decreases the number to the right by 1 for each unit created (aka. make X
                                                    units)

Toggling the repeat setting will change the number to the right to 0 or infinity respectively

Repeat - Infinity - is the Default setting, which matches the current in-game behaviour
As per usual, ctrl click is 5x increment

Examples
Vwing - repeat - 25. This creates V-wings until 25 V-wings are reached for this unit.
                                   This combination is useful for - Energy Budgeting - Where making more V-wings might cause a brownout
Assault Frigate - No repeat - 5 - This will create 5 Assault Frigates, even if there is 2 Assault Frigates already made (for a total of 7 Assault Frigates)
                                   This combination is useful for - Metal Budgetting - Where you dont want to completely drain your metal pool, even if ships are destroyed.
TagsNo tags attached.

Relationships

child of 0021022 resolvedx4000Bughunter Various fleet-related ideas (parent). 

Activities

MatthewYCR

Jun 4, 2019 9:54 pm

reporter  

AIwarUI2.jpg (531,439 bytes)

x4000Bughunter

Jun 4, 2019 10:56 pm

administrator   ~0051846

In general that's fairly in line with what I have planned, in terms of letting you specify how many of a ship type you want, and so forth. I think that where we diverge at the moment is that I'm really not keen on the ability to micromanage "build 5 units right now," and that be a thing that's thought of as a loop or not a loop, etc.

Basically, the model of the first game was along those lines, and it was very much like an assembly line. That works well in some regards, but has a really long history of problems and causing players to engage in a lot of un-fun things that waste their time.

The way I see this as ideally functioning is instead being more of a design process: "my fleet will have X many of these ships." Essentially, your job is more or less to design fleets, and to design your empire as a whole, and generally to not get too bogged down in the minutiae of the moment to moment economy.

There's not enough attention to spare for most players to do that, and this really isn't that kind of game even though at times the original game veered into that direction for advanced players. Both games have always been meant to be more about strategic long-form thinking, deployment and use of forces, and other Chess-like analogies that I tend to make.

With that sort of thing in mind, that's why we have things like remains rebuilders and whatnot all being very automated, and those are just as big a potential metal sink (a lot of the time) as anything in a mobile fleet, if you got hurt hard on a defending planet.

What I see the main problems of the current completely-automated system as being (and this was always just completely-automated because I had not yet built the interface for the bits you can then tune away from the defaults, and was struggling with the design of it) are:

1. You can't really say you don't want an entire fleet. That's bad, because it takes away agency in your fleet design choices, and wastes metal and other resources (time, science, etc) at times.

2. You can't really say that you don't want a fleet to not build more stuff right now (because you are metal-poor or otherwise) other than just keeping away from factories. This can tank an economy.

3. You can't add on bits of customization to fleets to compensate for something you don't like. Aka, you can't add some extra unit type, or buff up the fleet as a whole to avoid the problem of mark 1 ships, etc, etc.

To my mind, there are more or less three states of existence for the player, when it comes to how they're thinking about fleets as they play:

1. They're in a design mindset for one or more fleets, and are in the screen for the fleet and tuning things and at the same time thinking about where and how to make use of this fleet in the galaxy. That may change later on, and they may redesign the fleet in some ways, and that's fine.

2. They're in a "playing with the hand I've got" mindset, and they're using all their existing fleets to do whatever it is they're trying to accomplish offensively and/or defensively at the moment. Assuming that their economy is fairly average at the moment, basically everything is automated in doing what the player decided they wanted to have happen in the past. Their focus is on the strategic and tactical board, and the economy isn't a concern unless they take truly excessive losses of some sort.

3. They're in a recovery period of some sort after taking excessive losses, and they need to temporarily ration out things and prioritize what is most important to rebuild first and what might be turned off entirely for a while as they reconsider their position. This may put them back into stage 1, where they are redesigning some fleets permanently(ish) based on new information, or they might be more in stage 2 and actively fighting at a tactical and strategic level and just trying to turn off enough that the economy doesn't bottom out while they do because it's not going as well as they'd hoped.


When we start looking at the assembly-line style approach of the first game, where we might say "I want 5 units right now, and I'll tell you later if I want something else," then we move into something completely different, a whole other phase that I really don't like. Basically that's a manual "I'm going to design a small force, by hand, to deal with whatever my most immediate next plans are, and then when that force is depleted I will do that again." That's a huge waste of time for players in my opinion, because it makes them make the same sort of decisions over and over without the actual conditions having changed.

It is true that in order to play "economically optimally," sometimes that level of assembly-line method is desired... but this is a good case of where I feel like giving players too many tools can let them optimize the fun right out of their own play session. I fully anticipate that there will be periodic economic problems for advanced players when they can't micro the economy... but my goal is to look at each case as it arises and see what we can do that gets the intent of the player turned into a reality in game state with the minimum amount of work.

Basically, I guess I start thinking about SimCity, as one example. The older ones. You can't control the individual builds, and I think that's for the best. You are still really designing the city in a very detailed way, but if it went a bit too far then the game would truly take forever and as much fun as placing skyscrapers might seem from an aesthetic standpoint, from a gameplay standpoint you're then having to manage when those buildings get abandoned and exactly watch the RCI meters and build buildings all the time versus just placing the capacity for those buildings to exist and then paying for the infrastructure.

In one sense, in SimCity there is indeed a lot of economic wastage, as you spend a lot of money on water to places that don't need it quite yet but will at some indeterminate near point, or you spend money on maintaining more fire and police forces than is really needed just because you can't be bothered to go in and adjust the budget bar for each individual station to truly maximize it as the population changes around the station. You get much better flow if you just accept the waste, except in extreme cases, and you can still get amazing cities.

This isn't SimCity, of course, and I recognize that. It's also not Chess. But there is a certain state of design or strategic flow that those games, or games like Risk, are able to achieve which I feel like the micro of RTS games can really hamper. It's too many mental context switches for the player, it drags things out, and it's just plain not fun. Winning is fun, and mastery is fun, and so it can be confused with fun, but I don't think anyone really enjoys the physical mechanics of going in and manually redesigning a small strike force dozens or hundreds of times per game. I think that, given a choice, spending time on more interesting mental endeavors makes the game a lot less wearying but can also make it more challenging in a truly strategic (as opposed to time management) sense.

This is the theory and the mindset that I'm coming from. It's been more or less how I had envisioned this from the start of the first game back in 2009, but along the way I wound up falling into a lot of familiar traps that other RTS games also do. And those were kind of just accepted by players because "that's how it's done in the genre," but it really rubs me the wrong way, honestly. I'm not here to try to reinvent the wheel, but it did feel like I was falling back on some genre crutches in a way that wasn't very imaginative. And I felt like that has hampered the ability of a lot of players to truly enjoy the strategic layer of the game, because they're bogged down in the minutiae and can't get time to think at that level.

So when those economic problems undoubtedly come up for advanced players... I'm hoping to find out of the box solutions. I have a few in mind. Simply having the management screens will solve a lot of it. Having the ability to quickly disable fleet reinforcements is a big deal on its own. Other things come to mind, like capturables that raise the mark level FLOOR for all of your ships, or some subset of them, to get rid of the mark 1 problem in the middle game without making your mark 4s into mark 5 titans. Relief valves like the loans that you can get in SimCity are something I'm a fan of, and mercenaries could fill that sort of role in an interesting way, potentially.

Wow this was long. Anyway, I felt like it was worth writing down my thoughts on all this. I've been trying to figure this out for months, or in another sense really for a decade. I expect some bumps, and I'd definitely appreciate people telling me where things don't work well for them, but I want to try to stick to that SimCity-style middle-level of control: designing zones and infrastructure and so on, and not individual houses and skyscrapers. I don't think anyone will stand a chance against the nanocaust or similar without a really liberal use of the pause button if they're doing that level of detail design. And when people have to repeatedly design the same thing, creativity on their part tends to suffer. I'd rather you have a constant influx of cool new things that you need and want to use in creative ways.

Hope this makes sense!

MatthewYCR

Jun 4, 2019 11:07 pm

reporter   ~0051847

Jesus, I didn't expect that level of detail in the response. It may take me some time to read It all and process it!, its mostly accurate, i think there's a flaw, to be exact, a missing situation, and I can provide an example, due to my experience. But I need to reread it a few times!

I play on D8 Atm, so the thing I missed may only matter in high levels of play, I will confirm either way after I've fully understood that it hasn't been overlooked. Ad the thing I mention will only matter if you're playing on D8+.

MatthewYCR

Jun 5, 2019 12:40 am

reporter   ~0051848

So. The situation I was talking about is a bracing situation defined by.

- The AI is sending a lethally strong wave of ships, which may defeat the player.

This is normally either a reprisal wave, an exogalactic strike. Or a CPA backed wave.

During this time the player will normally want to build their entire fleet, Fill their metal reserve and then build one-time ships to expend excess metal.

The last action may cause problems without a small amount of control there. But I admit, it's not gamebreaking to work around.

Overall. Seems good though. I'm actually not as worried about the actions, so much as the displays. Right now, it's hard to see how much metal is used, and this is a really good spot to see metal. (When I'm building, who would have thought!)

I did try to focus on minimizing here. 3 buttons per unit is alright I think. And I dropped all unit stats to show metal and energy.

Overall, good work on the game, I'm enjoying it a lot.

I have one suggestion which I'll submit later, I won't be much of a suggestion, it's probably something you know, but have left out for ages, or might miss it's importance. But I read all the docs and haven't seen it. I'll have to stress how important it is!

x4000Bughunter

Jun 5, 2019 4:08 pm

administrator   ~0051850

Okay, I didn't mean to write you a novel, but I was organizing my own thoughts and that's what came out. I'm really glad you raised some of the issues you did, because it led to a bit of an epiphany for me this morning. Here's the result: https://docs.google.com/document/d/108hBRHf3viOgyIS-Wp6l9bBMWPqsjkS1uUjNKrv-2CM/

MatthewYCR

Jun 5, 2019 9:08 pm

reporter   ~0051851

Well, again, i didn't expect such a big reaction o_o.

Just a few thoughts, the game is actually in a nice spot. Like, a really nice, almost releasable nice spot. So be careful about removing metal

I had an experience in my own design, (not a big game, didnt release it or anything), where I had a similar issue with gold, it occupied a VERY similar role to metal, and I ended up removing gold, and yeah, ended up in that place where "is the game fun". Metal hoarding is currently a fairly big part of AI war, also, so its a pretty large change.

MatthewYCR

Jun 6, 2019 7:41 am

reporter   ~0051855

Just so you know. (Chris?) My first action of the game is to instantly turn off the ark's unit production and attack the easiest (decent tech) planet with just the ark, the ark's strength is 90% of the starting fleet's strength, and you want to get metal production online asap to deal with the CPA, the only time sensitive thing in the game atm. (see my post "The importance of time").

Its like you started me off with 500 corvettes and ask me if i wanted to wait around for the last 100 before increasing my production by 25%

MatthewYCR

Jun 6, 2019 7:43 am

reporter   ~0051856

(Can't edit notes?) assuming armoured ark. Havent gone through all of them yet.

x4000Bughunter

Jun 6, 2019 9:07 am

administrator   ~0051858

A lot of what you had said was kind of speaking to some feelings I was already having at a subconscious level, but had not yet put into words.

I get your point about the time pressure issue, but I think those are two separate issues (thank goodness!). I agree it needs attention, but I don't think that metal really has anything to do with that (or shouldn't, anyway).

A lot of the problems with metal wind up being "if you lose some, you lose even more" and "even though you paid (AIP) for something, you now need to pay (metal) again for it, over and over."

I think the role of metal hoarding really depends on the player and how they engage with the meta layer of the game. For a lot of players, I think that metal is almost not even noticed except when it's in a problem spot. Then they go looking for the problem. That tends to be my personal experience, anyway, so maybe I'm projecting.

But the main thing is that there are already a lot of things to hoard and deploy and so on, so there's a lot of stuff that you can focus to keep your attention occupied. My concern is that right now sometimes that is getting stomped on by the desire to hoard metal, which is a lot less interesting than how to deploy the fleets and turrets you have.

MatthewYCR

Jun 7, 2019 4:58 am

reporter   ~0051887

Firstly. Yeah, I think its 2 completely different issues, so yeah, everything here is related purely to balance.

Well, In my opinion, that's a way the AI can drive the player into a corner, by repeatedly making the player take a bad engagement, without enough time to properly recover.

And hey, its another stalemate situation the AI can't break because it doesn't gain anything visibly from time.

The biggest problem is that the player is unable to counter the AI properly because he can't control what his fleet builds. Say you know that the AI is sending a pure bomber wave and you have MK2 fighters, MK1 bombers and conc corvs, but they are all dead. Normally you want to just build fighters, for the huge advantage they bring. But the game simply doesn't let you.

The only realistic way to properly counter in this situation is to have your MK1 units already built and set aside so your factories can focus. (or in truth, don't use fighters, find turrets to do it, since you don't use the build queue this way).

I didn't play the version where MK2 ships costed more, but i honestly think that's better. However i imagine it worked exactly like it currently does, which exasperates the MK1 problem.

Because the factory builds things EQUALLY.

When you tech up a unit, its unit stack increases to 1.5x its original amount, this means it will take 1.5x longer to build since it tries to build everything evenly, so the useless MK1 units finish when you're only 2/3 done. Moreover, if the unit costed twice as much (MK2), it takes 3x longer instead. MK3s 6x, MK4s 10x.

And every time you get attacked, those MK1s die, and you need to replenish them.

You have way more MK1 units than technological units in AI war, if you have 1 type of Mk5 unit type, you might have 9x Mk1 unit types. this means it would take 10x longer to build your MK5s if you constantly replenish your MK1s.

So now we're at the point where an MK5 unit stack would take 100x more time to build back compared to actually building it. Yeah I can see how that could be a problem.

There's multiple ways to address this.

- The factory will always prioritise building something of a high mark, compared to a lower mark, since the player teched it, he probably wants it back more right?
- The factory builds units 1 at a time and cycles through them, similar to AIwar1, this way, the cost isn't relevent, and it will always build 1 MK5 unit back for every other unit. Note: Controls are still needed for this solution, the player definately wants to stop building MK1s)
- The factory spends a proportional amount of time on building things of a higher mark, compared to its Mark 1, so that the stacks are finished at the same time. (aka, 40 MK1 fighters finish at the same time as 60 MK2 conc corvs). Without changing the cost, this means the factory spends 1.5,2,2.5,3,3.5x longer building mark 2,3,4,5 units respectively (i know it goes up to 9).

It should be noted a stack of 3 frigates is both very powerful, and very dense. taking up a single queue in the factory, yet, requires a massive metal investment. so MK1s will bog down this unit the most, especially if its a higher mark with more ships!

I realised after this, i could make a whole GDoc about the balance of the game, with many observations that have to do with resources problems like this, and some solutions, especially to the metal problem, but It would take a while, and I don't want to today :P.

x4000Bughunter

Jul 8, 2019 3:28 pm

administrator   ~0052115

So, this is really a whole bunch of different topics at this point, to be honest. The design for the fleets screen is something that I'm keeping a lot simpler than what you proposed, but the balance of the game has been tuned a lot in order to try to make a lot of your requests into non-issues.

Also, some of the things in 0021310 also really reduce or remove the need to do some of the things you requested, because you can rejigger your fleets in various interesting ways.

THAT said, there are some pretty darn valid observations about metal and balance and so forth from an economic standpoint, and I think that as the fleet controls come online in the next week we're going to then be able to start really hearing feedback better on what still feels off or too hard to control, or what might just need to be balanced differently in the xml (or have some new features in the xml like for build speed multipliers for big expensive dense things to be slower constructed or whatever).

I think all of that stuff is really relevant, but we're into a discussion about non-player-facing changes at that point, with the goal of making it so that there aren't these sorts of things that players are trying to do in the UI, which ultimately require a lot of manual fiddling or other things that require a lot of what is in my opinion wasted time for players (as well as just looking freaky to anyone who isn't already an expert).

I think we're getting closer, but not there yet, but we've outgrown this particular report.

Issue History

Date Modified Username Field Change
Jun 4, 2019 9:54 pm MatthewYCR New Issue
Jun 4, 2019 9:54 pm MatthewYCR File Added: AIwarUI2.jpg
Jun 4, 2019 10:05 pm MatthewYCR Description Updated View Revisions
Jun 4, 2019 10:06 pm MatthewYCR Description Updated View Revisions
Jun 4, 2019 10:56 pm x4000Bughunter Note Added: 0051846
Jun 4, 2019 10:57 pm x4000Bughunter Relationship added child of 0021022
Jun 4, 2019 11:07 pm MatthewYCR Note Added: 0051847
Jun 5, 2019 12:40 am MatthewYCR Note Added: 0051848
Jun 5, 2019 4:08 pm x4000Bughunter Note Added: 0051850
Jun 5, 2019 9:08 pm MatthewYCR Note Added: 0051851
Jun 6, 2019 7:41 am MatthewYCR Note Added: 0051855
Jun 6, 2019 7:43 am MatthewYCR Note Added: 0051856
Jun 6, 2019 9:07 am x4000Bughunter Note Added: 0051858
Jun 7, 2019 4:58 am MatthewYCR Note Added: 0051887
Jul 8, 2019 3:28 pm x4000Bughunter Assigned To => x4000Bughunter
Jul 8, 2019 3:28 pm x4000Bughunter Status new => closed
Jul 8, 2019 3:28 pm x4000Bughunter Resolution open => suspended
Jul 8, 2019 3:28 pm x4000Bughunter Note Added: 0052115